Summary:		Waveform Viewer
Name:			gtkwave
Version:		3.0.4
Release:		1%{?dist}
License:		GPL & MIT
Group:			Applications/Engineering
URL:			http://home.nc.rr.com/gtkwave/
Source0:		http://www.ibiblio.org/pub/Linux/Incoming/gtkwave-%{version}.tgz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:		gtk2-devel, bzip2-devel, zlib-devel, gperf, flex

%description
GTKWave is a waveform viewer that can view VCD files produced by most Verilog
simulation tools, as well as LXT files produced by certain Verilog simulation
tools.

%prep
%setup -q -n gtkwave-%{version}
# Honour %{optflags} and use system zlib/bzip2 library
%{__perl} -pi -e 's/^C(FLAGS|OPT) ?= ?-O2/C\1 = %{optflags}/;' \
	-e 's@-I\.\.?/libz -I\.\.?/libbz2@@;' \
	-e 's@(\.\./(\.\./src/)?)?libz/libz\.a@-lz@;' \
	-e 's@(\.\./(\.\./src/)?)?libbz2/libbz2\.a@-lbz2@;' \
	-e 's@^([a-z0-9]+:.*) -lz( -lbz2)?@\1@;' \
	src/Makefile*.in src/*/Makefile*.in contrib/*/Makefile*.in
%{__rm} -rf src/lib{z,bz2}

# Fix file permissions for sane debuginfo package
%{__chmod} 644 src/*.[ch] src/*/*.[ch]

# Note that GTKWave is a GUI application but no desktop entry is provided for it.
# This is because the application requires at least one mandatory parameter (file
# to view) and cannot be opened in a "no file" mode from a menu.

%build
echo 2 | ./configure --libdir=%{_libdir}
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} \
	bindir=%{buildroot}%{_bindir} \
	mandir=%{buildroot}%{_mandir} \
	install
%{__mv} .gtkwaverc gtkwaverc.sample

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc doc/* *.TXT gtkwaverc.sample examples/
%{_bindir}/gtkwave
%{_bindir}/lxt2miner
%{_bindir}/lxt2vcd
%{_bindir}/mvl2lxt
%{_bindir}/mvl2vcd
%{_bindir}/rtlbrowse
%{_bindir}/tex2vcd
%{_bindir}/tla2vcd
%{_bindir}/vcd2lxt
%{_bindir}/vcd2lxt2
%{_bindir}/vcd2vzt
%{_bindir}/vertex
%{_bindir}/vzt2vcd
%{_bindir}/vztminer
%{_mandir}/man1/gtkwave.1*
%{_mandir}/man1/lxt2miner.1*
%{_mandir}/man1/lxt2vcd.1*
%{_mandir}/man1/mvl2lxt.1*
%{_mandir}/man1/mvl2vcd.1*
%{_mandir}/man1/rtlbrowse.1*
%{_mandir}/man1/tex2vcd.1*
%{_mandir}/man1/tla2vcd.1*
%{_mandir}/man1/vcd2lxt.1*
%{_mandir}/man1/vcd2lxt2.1*
%{_mandir}/man1/vcd2vzt.1*
%{_mandir}/man1/vertex.1*
%{_mandir}/man1/vzt2vcd.1*
%{_mandir}/man1/vztminer.1*
%{_mandir}/man5/gtkwaverc.5*

%changelog
* Fri Jun  2 2006 Paul Howarth <paul@city-fan.org> 3.0.4-1
- update to 3.0.4

* Tue May 30 2006 Paul Howarth <paul@city-fan.org> 3.0.3-1
- update to 3.0.3

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 3.0.2-2
- adding missing buildreq flex

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 3.0.2-1
- update to 3.0.2

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 3.0.1-1
- update to 3.0.1

* Tue May  2 2006 Paul Howarth <paul@city-fan.org> 3.0.0-1
- update to 3.0.0
- add examples directory as %%doc
- add new buildreq gperf
- tweak Makefile.in edits to handle Makefiles under contrib/
- add new binaries rtlbrowse and vertex
- add new manpages for rtlbrowse, vertex, and gtkwaverc
- %%{_mandir} no longer needs to be created manually
- configure script now accepts --libdir

* Tue Mar  7 2006 Paul Howarth <paul@city-fan.org> 1.3.86-1
- update to 1.3.86

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> 1.3.85-1
- update to 1.3.85

* Tue Feb 21 2006 Paul Howarth <paul@city-fan.org> 1.3.84-1
- update to 1.3.84
- INSTALL now called INSTALL.TXT

* Thu Feb 16 2006 Paul Howarth <paul@city-fan.org> 1.3.83-2
- rebuild

* Tue Jan 31 2006 Paul Howarth <paul@city-fan.org> 1.3.83-1
- update to 1.3.83

* Thu Jan 19 2006 Paul Howarth <paul@city-fan.org> 1.3.82-1
- update to 1.3.82

* Tue Dec 13 2005 Paul Howarth <paul@city-fan.org> 1.3.81-1
- update to 1.3.81

* Sun Nov 27 2005 Paul Howarth <paul@city-fan.org> 1.3.80-1
- update to 1.3.80

* Wed Nov 23 2005 Paul Howarth <paul@city-fan.org> 1.3.79-2
- fix file permissions in debuginfo package

* Mon Nov 21 2005 Paul Howarth <paul@city-fan.org> 1.3.79-1
- update to 1.3.79

* Wed Nov  9 2005 Paul Howarth <paul@city-fan.org> 1.3.78-1
- update to 1.3.78

* Tue Nov  8 2005 Paul Howarth <paul@city-fan.org> 1.3.77-1
- update to 1.3.77
- GHDL ghw support now included upstream, so remove patches

* Mon Nov  7 2005 Paul Howarth <paul@city-fan.org> 1.3.76-3
- clean up for Fedora Extras:
-   don't support GTK1 builds
-   unconditionally remove buildroot in %%clean and %%install
-   remove redundant glib2-devel buildreq
-   add dist tag

* Mon Nov  7 2005 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.76-2
- add GHDL ghw support

* Thu Oct 27 2005 Paul Howarth <paul@city-fan.org> 1.3.76-1
- update to 1.3.76

* Thu Oct 13 2005 Paul Howarth <paul@city-fan.org> 1.3.73-1
- update to 1.3.73

* Mon Oct 10 2005 Paul Howarth <paul@city-fan.org> 1.3.72-1
- update to 1.3.72

* Fri Oct  7 2005 Paul Howarth <paul@city-fan.org> 1.3.71-1
- update to 1.3.71

* Thu Sep 15 2005 Paul Howarth <paul@city-fan.org> 1.3.70-1
- update to 1.3.70
- new program tla2vcd (with manpage)

* Mon Sep  5 2005 Paul Howarth <paul@city-fan.org> 1.3.69-1
- update to 1.3.69
- honour %%{optflags}
- use system bzip and zlib libraries

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.3.68-1
- update to 1.3.68

* Wed Aug 25 2005 Paul Howarth <paul@city-fan.org> 1.3.67-1
- update to 1.3.67

* Wed Aug 10 2005 Paul Howarth <paul@city-fan.org> 1.3.64-1
- update to 1.3.64
- new programs lxt2miner & vztminer (with manpages)

* Tue Jul 26 2005 Paul Howarth <paul@city-fan.org> 1.3.63-1
- update to 1.3.63

* Mon Jul 11 2005 Paul Howarth <paul@city-fan.org> 1.3.62-1
- update to 1.3.62

* Thu Apr 21 2005 Paul Howarth <paul@city-fan.org> 1.3.58-1
- update to 1.3.58
- include sample .gtkwaverc in doc area
- update URL to point to new project home page

* Wed Apr 13 2005 Paul Howarth <paul@city-fan.org> 1.3.57-1
- update to 1.3.57
- add support for building with gtk version 1 (build using: --without gtk2)

* Tue Apr 12 2005 Paul Howarth <paul@city-fan.org> 1.3.56-1
- initial RPM build
